import { Component, h, Prop } from '@stencil/core';
export class SFunboxCardsWrapper {
    render() {
        return (h("main", { style: { backgroundImage: `url(${this.bgImage})` } },
            h("div", { class: "container" },
                h("h1", null, "\u0422\u044B \u0441\u0435\u0433\u043E\u0434\u043D\u044F \u043F\u043E\u043A\u043E\u0440\u043C\u0438\u043B \u043A\u043E\u0442\u0430?"),
                h("div", { class: "card-container" }, this.cardContent.map(item => {
                    return (h("div", { class: "card-wrapper" },
                        h("s-funbox-cards", { cardContent: item })));
                })))));
    }
    static get is() { return "s-funbox-cards-wrapper"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() { return {
        "$": ["s-funbox-cards-wrapper.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-funbox-cards-wrapper.css"]
    }; }
    static get properties() { return {
        "bgImage": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Background image"
            },
            "attribute": "bg-image",
            "reflect": false
        },
        "cardContent": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0414\u0430\u043D\u043D\u044B\u0435 \u0434\u043B\u044F \u043A\u0430\u0440\u0442\u043E\u0447\u043A\u0438"
            },
            "attribute": "card-content",
            "reflect": false
        }
    }; }
}
